/* $Id::                                                               $
 *
 * Copyright (c) 2011, NXP Semiconductors
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this list
 * of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list
 * of conditions and the following disclaimer in the documentation and/or
 * other materials provided with the distribution.
 * Neither the name of the author nor the names of its contributors may be used
 * to endorse or promote products derived from this software without specific
 * prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/** \file
 *  LPC11xx Library Header for Applications.
 *  This file must be included in all application source files.
 *  There is no need to include individual peripheral driver headers files.
 */


#ifndef __LPCLIB_H
#define __LPCLIB_H

#include "lpc43xx_libconfig.h"
#include "lpclib_osal.h"

//#include "lpc43xx_adc.h"
//#include "lpc43xx_can.h"
#include "lpc43xx_clkpwr.h"
#include "lpc43xx_emc.h"
#include "lpc43xx_gpio.h"
#include "lpc43xx_i2c.h"
#include "lpc43xx_iocon.h"
#include "lpc43xx_lcd.h"
//#include "lpc43xx_romhandler.h"
#include "lpc43xx_ssp.h"
//#include "lpc43xx_timer.h"
//#include "lpc43xx_uart.h"
//#include "lpc43xx_usb.h"
//#include "lpc43xx_usbrom.h"

#endif /* __LPCLIB_H */

/** @} */

