/**
 ******************************************************************************
 * @file	OSAL_FreeRTOS.h
 * @brief	Enter brief Description of this module.
 * @version	1.0
 * @date	03.06.2010
 * @author	nxp16889
 *
 * @details Enter detailed description of this module.
 *
 * ----------------------------------------------------------------------------\n
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 * ----------------------------------------------------------------------------\n
 ******************************************************************************
 */

#ifndef __OSAL_FREERTOS_H__
#define __OSAL_FREERTOS_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "typedefs.h"
#include "FreeRTOS.h"
#include "task.h"
#include "semphr.h"
#include "timers.h"

#ifdef OSAL_IDLE_TASK_PRIORITY
#undef OSAL_IDLE_TASK_PRIORITY
#endif
#define OSAL_IDLE_TASK_PRIORITY tskIDLE_PRIORITY


void vApplicationIdleHook (void);
void vApplicationStackOverflowHook (xTaskHandle *pxTask, signed portCHAR *pcTaskName);

#ifdef __cplusplus
}
#endif

#endif /* __OSAL_FREERTOS_H__ */
